VkImageMemoryBarrier Struct Reference

`#include <vulkan.h>`

Collaboration diagram for VkImageMemoryBarrier:
[legend]

## Data Fields

VkStructureType | sType
const void * | pNext
VkAccessFlags | srcAccessMask
VkAccessFlags | dstAccessMask
VkImageLayout | oldLayout
VkImageLayout | newLayout
uint32_t | srcQueueFamilyIndex
uint32_t | dstQueueFamilyIndex
VkImage | image
VkImageSubresourceRange | subresourceRange

## Detailed Description

Definition at line 2430 of file vulkan.h.

## Field Documentation

## dstAccessMask

VkAccessFlags VkImageMemoryBarrier::dstAccessMask

Definition at line 2434 of file vulkan.h.

Referenced by recordPipelineImageBarrier().

## dstQueueFamilyIndex

uint32_t VkImageMemoryBarrier::dstQueueFamilyIndex

Definition at line 2438 of file vulkan.h.

Referenced by recordPipelineImageBarrier().

## image

VkImage VkImageMemoryBarrier::image

Definition at line 2439 of file vulkan.h.

Referenced by recordPipelineImageBarrier().

## newLayout

VkImageLayout VkImageMemoryBarrier::newLayout

Definition at line 2436 of file vulkan.h.

Referenced by recordPipelineImageBarrier().

## oldLayout

VkImageLayout VkImageMemoryBarrier::oldLayout

Definition at line 2435 of file vulkan.h.

Referenced by recordPipelineImageBarrier().

## pNext

const void* VkImageMemoryBarrier::pNext

Definition at line 2432 of file vulkan.h.

## srcAccessMask

VkAccessFlags VkImageMemoryBarrier::srcAccessMask

Definition at line 2433 of file vulkan.h.

Referenced by recordPipelineImageBarrier().

## srcQueueFamilyIndex

uint32_t VkImageMemoryBarrier::srcQueueFamilyIndex

Definition at line 2437 of file vulkan.h.

Referenced by recordPipelineImageBarrier().

## sType

VkStructureType VkImageMemoryBarrier::sType

Definition at line 2431 of file vulkan.h.

Referenced by recordPipelineImageBarrier().

## subresourceRange

VkImageSubresourceRange VkImageMemoryBarrier::subresourceRange

Definition at line 2440 of file vulkan.h.

Referenced by recordPipelineImageBarrier().

The documentation for this struct was generated from the following file:

- src/video/khronos/vulkan/vulkan.h